Bug 60514 - Ability to apply a naming convention on Children of a Transaction Controller
Summary: Ability to apply a naming convention on Children of a Transaction Controller
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.1
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-22 20:45 UTC by UbikLoadPack support
Modified: 2017-01-16 20:21 UTC (History)
1 user (show)



Attachments
Step 1 (63.93 KB, image/png)
2016-12-22 20:46 UTC, UbikLoadPack support
Details
Step 2 (81.04 KB, image/png)
2016-12-22 20:46 UTC, UbikLoadPack support
Details
Step 3 (result) (51.03 KB, image/png)
2016-12-22 20:47 UTC, UbikLoadPack support
Details
Patch implementing the feature enhanced with elements discussed on dev mailing list with Antonio (15.07 KB, patch)
2017-01-15 13:51 UTC, UbikLoadPack support
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description UbikLoadPack support 2016-12-22 20:45:46 UTC
Hello,
During the development of Test Plan our customer frequently require that a  naming policy is applied to the Test Plan developed.

This can be for example to :
- Prefix TC with something
- Add a suffix to children of TC
...

Applying this policy can be cumbersome and is a bit boring.
Would you be interested in making this generic this way:

    On appliable nodes in Tree add a contextual popup menu (Apply Naming Policy)
    When click on it, JMeter would search in classpath for implementations of TreeNodeNamingPolicy. If one is found us it, it many then use a configuration property
    For every child of the parent node, call this policy to name children of this node

If you're interested we can contribute a patch

Let us know your thoughts.

Thank you
Comment 1 UbikLoadPack support 2016-12-22 20:46:14 UTC
Created attachment 34550 [details]
Step 1
Comment 2 UbikLoadPack support 2016-12-22 20:46:51 UTC
Created attachment 34551 [details]
Step 2
Comment 3 UbikLoadPack support 2016-12-22 20:47:13 UTC
Created attachment 34552 [details]
Step 3 (result)
Comment 4 UbikLoadPack support 2017-01-15 13:51:35 UTC
Created attachment 34621 [details]
Patch implementing the feature enhanced with elements discussed on dev mailing list with Antonio
Comment 5 Philippe Mouawad 2017-01-16 20:21:01 UTC
Author: pmouawad
Date: Mon Jan 16 20:18:54 2017
New Revision: 1779101

URL: http://svn.apache.org/viewvc?rev=1779101&view=rev
Log:
Bug 60514 - Ability to apply a naming convention on Children of a Transaction Controller
Contributed by UbikLoadPack
Bugzilla Id: 60514

Added:
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ApplyNamingConvention.java   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/TreeNodeNamingPolicy.java   (with props)
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/impl/
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/impl/DefaultTreeNodeNamingPolicy.java   (with props)
Modified:
    jmeter/trunk/src/core/org/apache/jmeter/gui/GuiPackage.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/ActionNames.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/action/AddToTree.java
    jmeter/trunk/src/core/org/apache/jmeter/gui/util/MenuFactory.java
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/xdocs/changes.xml